org.modeshape.jcr.index.local

## Class IndexChangeAdapters.PropertyChangeAdapter<T>

- java.lang.Object
- - org.modeshape.jcr.cache.change.ChangeSetAdapter
  - - org.modeshape.jcr.spi.index.provider.IndexChangeAdapter
    - - org.modeshape.jcr.index.local.IndexChangeAdapters.AbstractPropertyChangeAdapter<T>
      - - org.modeshape.jcr.index.local.IndexChangeAdapters.PropertyChangeAdapter<T>

- All Implemented Interfaces:
    ChangeSetListener
  Direct Known Subclasses:
    IndexChangeAdapters.MixinTypesChangeAdatper, IndexChangeAdapters.MultiValuedPropertyChangeAdapter, IndexChangeAdapters.PrimaryTypeChangeAdatper, IndexChangeAdapters.SingleValuedPropertyChangeAdapter
  Enclosing class:
    IndexChangeAdapters

      protected abstract static class IndexChangeAdapters.PropertyChangeAdapter<T>
      extends IndexChangeAdapters.AbstractPropertyChangeAdapter<T>

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.modeshape.jcr.cache.change.ChangeSetAdapter

      `ChangeSetAdapter.NodeTypePredicate`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected org.modeshape.jcr.index.local.LocalDuplicateIndex<T>` | `index`

    - ### Fields inherited from class org.modeshape.jcr.index.local.IndexChangeAdapters.AbstractPropertyChangeAdapter

      `propertyName, valueFactory`

    - ### Fields inherited from class org.modeshape.jcr.cache.change.ChangeSetAdapter

      `context, predicate`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `IndexChangeAdapters.PropertyChangeAdapter(ExecutionContext context, ChangeSetAdapter.NodeTypePredicate matcher, String workspaceName, Name propertyName, ValueFactory<T> valueFactory, org.modeshape.jcr.index.local.LocalDuplicateIndex<T> index)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected void` | `addValue(NodeKey key, Object value)`
    `protected void` | `addValues(NodeKey key, Property property)`
    `protected void` | `completeChanges()` Signals the end of processing for the changes in a transaction described by a single `ChangeSet`.
    `protected void` | `completeWorkspaceChanges()` Signals the end of processing for the workspace-related changes in a transaction described by a single `ChangeSet`.
    `protected void` | `removeValues(NodeKey key)`
    `String` | `toString()`

    - ### Methods inherited from class org.modeshape.jcr.index.local.IndexChangeAdapters.AbstractPropertyChangeAdapter

      `addNode, convert, modifyProperties, reindexNode, removeNode`

    - ### Methods inherited from class org.modeshape.jcr.spi.index.provider.IndexChangeAdapter

      `includesWorkspace, index`

    - ### Methods inherited from class org.modeshape.jcr.cache.change.ChangeSetAdapter

      `addWorkspace, beginChanges, beginWorkspaceChanges, binaryValueUnused, changeNode, moveNode, notify, removeWorkspace, renameNode, reorderNode, repositoryMetadataChanged, sequenced, sequenceFailure`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### index

          protected final org.modeshape.jcr.index.local.LocalDuplicateIndex<T> index

  - ### Constructor Detail

    - #### IndexChangeAdapters.PropertyChangeAdapter

          public IndexChangeAdapters.PropertyChangeAdapter(ExecutionContext context,
                                                   ChangeSetAdapter.NodeTypePredicate matcher,
                                                   String workspaceName,
                                                   Name propertyName,
                                                   ValueFactory<T> valueFactory,
                                                   org.modeshape.jcr.index.local.LocalDuplicateIndex<T> index)

  - ### Method Detail

    - #### addValues

          protected void addValues(NodeKey key,
                       Property property)

      Specified by:
        `addValues` in class `IndexChangeAdapters.AbstractPropertyChangeAdapter<T>`

    - #### addValue

          protected final void addValue(NodeKey key,
                      Object value)

      Specified by:
        `addValue` in class `IndexChangeAdapters.AbstractPropertyChangeAdapter<T>`

    - #### removeValues

          protected void removeValues(NodeKey key)

      Specified by:
        `removeValues` in class `IndexChangeAdapters.AbstractPropertyChangeAdapter<T>`

    - #### completeChanges

          protected void completeChanges()

      Description copied from class: `ChangeSetAdapter`
      Signals the end of processing for the changes in a transaction described by a single `ChangeSet`.
      Overrides:
        `completeChanges` in class `ChangeSetAdapter`
      See Also:
        `ChangeSetAdapter.beginChanges()`

    - #### completeWorkspaceChanges

          protected void completeWorkspaceChanges()

      Description copied from class: `ChangeSetAdapter`
      Signals the end of processing for the workspace-related changes in a transaction described by a single `ChangeSet`.
      Overrides:
        `completeWorkspaceChanges` in class `ChangeSetAdapter`
      See Also:
        `ChangeSetAdapter.beginWorkspaceChanges()`

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

Copyright © 2008-2014 JBoss, a division of Red Hat. All Rights Reserved.